package app.data.entity;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Table(name = "game_info", schema = "public", catalog = "chessleague")
public class GameInfo {
    private Integer id;
    private String url;
    private Game game;
    private String timeControl;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Basic
    @Column(name = "url", length = -1)
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Basic
    @Column(name = "time_control", nullable = false)
    public String getTimeControl() {
        return timeControl;
    }

    public void setTimeControl(String format) {
        this.timeControl = format;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        GameInfo that = (GameInfo) o;
        return Objects.equals(id, that.id) && Objects.equals(url, that.url) && Objects.equals(timeControl, that.timeControl);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, url, timeControl);
    }

    @OneToOne(mappedBy = "gameInfo")
    public Game getGame() {
        return game;
    }

    public void setGame(Game game) {
        this.game = game;
    }
}
