package app.navigation;

import com.vaadin.flow.router.WildcardParameter;
import org.springframework.lang.NonNull;

import java.util.HashMap;
import java.util.Map;
import java.util.Optional;

public class NavigationUtils {


    @NonNull
    public static Map<UrlParameterType, Optional<String>> getParameterMap(@WildcardParameter String param) {
        Map<UrlParameterType, Optional<String>> map = new HashMap<>();
        String[] params = param.split("/");
        switch (params.length) {
            case 3:
                map.put(UrlParameterType.MATCH, Optional.of(params[2]));
            case 2:
                map.put(UrlParameterType.MATCHDAY, Optional.of(params[1]));
            case 1:
                map.put(UrlParameterType.SEASON, Optional.of(params[0]));
            default:
                break;
        }
        map.putIfAbsent(UrlParameterType.MATCH, Optional.empty());
        map.putIfAbsent(UrlParameterType.MATCHDAY, Optional.empty());
        map.putIfAbsent(UrlParameterType.SEASON, Optional.empty());
        return map;
    }

    @NonNull
    public static String getWildcardParam(String... params) {
        StringBuilder stringBuilder = new StringBuilder();
        for (String param : params) {
            if (param == null || param.equals("")) {
                break;
            }
            stringBuilder.append(param).append("/");
        }
        return stringBuilder.toString();
    }
}
