package app.utils;

import org.springframework.lang.NonNull;
import org.springframework.lang.Nullable;

import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Scanner;

public class HttpUtils {
    private HttpUtils() {
    }

    @Nullable
    public static String getJson(@NonNull String url) {
        try {
            URL url_ = new URL(url);

            HttpURLConnection conn = (HttpURLConnection) url_.openConnection();
            conn.setRequestMethod("GET");
            conn.connect();

            int responsecode = conn.getResponseCode();

            if (responsecode != 200) {
                throw new RuntimeException("HttpResponseCode: " + responsecode);
            }
            StringBuilder jsonBuilder = new StringBuilder();
            Scanner scanner = new Scanner(url_.openStream());
            while (scanner.hasNext()) {
                jsonBuilder.append(scanner.nextLine());
            }
            scanner.close();

            return jsonBuilder.toString();
        } catch (IOException e) {
            return null;
        }
    }
}
