package app.views.matchday;

import app.data.service.MatchService;
import app.navigation.service.NavigationService;
import app.views.main.MainView;
import app.views.matchday.components.MatchdayComponent;
import app.views.navigation.NavigationViewBase;
import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.router.PageTitle;
import com.vaadin.flow.router.Route;
import org.springframework.beans.factory.annotation.Autowired;

@CssImport("app/views/matchday/matchday-view.css")
@Route(value = "matchday", layout = MainView.class)
@PageTitle("Schachliga DACH - Results - Matchdays")
public class MatchdayView extends NavigationViewBase {

    private final MatchService matchService;

    private MatchdayComponent matchdayComponent;

    public MatchdayView(@Autowired NavigationService navigationService,
                        @Autowired MatchService matchService) {
        super(navigationService, true, true, false);
        this.matchService = matchService;

        addClassName("matchday-view");

        configureLayout();
    }

    ///////////
    // ROUTE //
    ///////////

    @Override
    public String getRoute() {
        return "matchday";
    }

    ////////////
    // LAYOUT //
    ////////////

    private void configureLayout() {
        matchdayComponent = new MatchdayComponent(navigation);
        add(matchdayComponent);
    }

    /////////////
    // CONTENT //
    /////////////

    @Override
    protected void configureContent() {
        matchdayComponent.configureContent();
    }
}
