package app.views.table;

import app.data.service.PlayerService;
import app.navigation.service.NavigationService;
import app.views.main.MainView;
import app.views.navigation.NavigationViewBase;
import app.views.table.components.TableComponent;
import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.router.*;
import org.springframework.beans.factory.annotation.Autowired;

@CssImport("app/views/table/table-view.css")
@Route(value = "table", layout = MainView.class)
@RouteAlias(value = "", layout = MainView.class)
@PageTitle("Schachliga DACH - Table")
public class TableView extends NavigationViewBase {

    private final PlayerService playerService;

    private TableComponent tableComponent;

    public TableView(@Autowired NavigationService navigationService,
                     @Autowired PlayerService playerService) {
        super(navigationService, true, true, false);
        this.playerService = playerService;

        this.navigation.setOnlyMatchdaysWithActivity(true);

        addClassName("table-view");

        configureLayout();
    }

    ///////////
    // ROUTE //
    ///////////

    @Override
    public String getRoute() {
        return "table";
    }

    ////////////
    // LAYOUT //
    ////////////

    private void configureLayout() {
        tableComponent = new TableComponent(navigation, playerService);
        add(tableComponent);
    }

    /////////////
    // CONTENT //
    /////////////

    @Override
    protected void configureContent() {
        tableComponent.configureContent();
    }
}
